# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)

require 'foxycart/version'
require 'date'

Gem::Specification.new do |s|
  s.required_ruby_version = '>= 1.9.3'
  s.authors = ['danawoodman', 'teleporter']
  s.date = Date.today.strftime('%Y-%m-%d')
  s.description = <<-HERE
A Ruby interface FoxyCart Hypermedia RESTful API.
  HERE
  s.email = 'hire@teleporter.io'
  s.extra_rdoc_files = %w[README.md LICENSE]
  s.homepage = 'http://github.com/teleporter/foxycart'
  s.license = 'MIT'
  s.name = 'foxycart'
  s.rdoc_options = ['--charset=UTF-8']
  s.require_paths = ['lib']
  s.summary = "Ruby interface to FoxyCart's Hypermedia RESTful API."
  s.version = FoxyCart::VERSION
  
  s.add_dependency 'bundler', '~> 1.3'
  s.add_dependency 'rest-client', '~> 1.6'

  s.add_development_dependency 'rspec', '~> 2.14'
  s.add_development_dependency 'guard', '~> 2.2'
  s.add_development_dependency 'guard-rspec', '~> 4.0'

  s.files = `git ls-files`.split("\n")
  s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables = `git ls-files -- bin/*`.split("\n").map { |file| File.basename(file) }
end
